# FairMQ: fair::mq::sdk::AsioBase< Executor, Allocator > Class Template Reference

fair::mq::sdk::AsioBase< Executor, Allocator > Class Template Reference

Base for creating Asio-enabled I/O objects. More...

`#include <fairmq/sdk/AsioBase.h>`

Inheritance diagram for fair::mq::sdk::AsioBase< Executor, Allocator >:
[legend]

## Public Types

using | ExecutorType = Executor
| Member type of associated I/O executor.
using | AllocatorType = Allocator
| Member type of associated default allocator.

## Public Member Functions

auto | GetExecutor () const noexcept -> ExecutorType
| Get associated I/O executor.
auto | GetAllocator () const noexcept -> AllocatorType
| Get associated default allocator.
| AsioBase ()=delete
| NO default ctor.
| AsioBase (Executor ex, Allocator alloc)
| Construct with associated I/O executor.
| AsioBase (const AsioBase &)=delete
| NOT copyable.
AsioBase & | operator= (const AsioBase &)=delete
| AsioBase (AsioBase &&) noexcept=default
| movable
AsioBase & | operator= (AsioBase &&) noexcept=default

## Detailed Description

### template<typename Executor, typename Allocator>
class fair::mq::sdk::AsioBase< Executor, Allocator >

Base for creating Asio-enabled I/O objects.

Template Parameters

  Executor | Associated I/O executor
  Allocator | Associated default allocator

Thread Safety
  Distinct objects: Safe.
  Shared objects: Unsafe.

The documentation for this class was generated from the following file:

- fairmq/sdk/AsioBase.h

privacy